petsc-3.7.1 2016-05-15
Report Typos and Errors

# PetscPartitionerPartition

Create a non-overlapping partition of the cells in the mesh

### Synopsis

    #include "petscdmplex.h"
    PetscErrorCode PetscPartitionerPartition(PetscPartitioner part, DM dm, PetscSection partSection, IS *partition)

Collective on DM Many br

### Input Parameters

| part | - The PetscPartitioner Many br
| dm | - The mesh DM Many br

### Output Parameters

| partSection | - The PetscSection giving the division of points by partition Many br
| partition | - The list of points by partition Many br

Note: Instead of cells, points at a given height can be partitioned by calling PetscPartitionerSetPointHeight() Many br

Many br

### See Also

DMPlexDistribute(), PetscPartitionerSetPointHeight(), PetscPartitionerCreate()

Level:developer
Location:src/dm/impls/plex/plexpartition.c
Index of all DM routines
Table of Contents for all manual pages
Index of all manual pages